// ********************************************************************************************************************
//  File Name				: VipCommunicate.h
//  Date					: 
//  Author					: Takumi Ishibashi
//  Model					: -
//  Description				: ZIPCOϐ}I/Fwb_t@CiBCBpj
// --------------------------------------------------------------------------------------------------------------------
//  Revision History
//  No	Date	Ver		Revised by			FunctionName
// ********************************************************************************************************************


// ********************************************************************************************************************
//							MACRO Section
// ********************************************************************************************************************

//////////////////////////////////////////////////
//	f[^
enum ZIPCVIP_DATAMODE {
	ZIPCVIP_DATA_PIO	= 0,
	ZIPCVIP_DATA_ANG,
	ZIPCVIP_DATA_STR,
	ZIPCVIP_DATA_UNDEF
};


// ********************************************************************************************************************
//							Grobal Func Section
// ********************************************************************************************************************

// ZVipPnl.DLL[h
extern BOOL VIP_LoadPnlIF( AnsiString strFile );

// ZVipPnl.DLLJ
extern void VIP_FreePnlIF( void );

// ZIPCƐڑ
extern BOOL VIP_PnlConnect( LPCSTR lpszClassName, HWND hWnd );

// ZIPCƐؒf
extern BOOL VIP_PnlCut( LPCSTR lpszClassName, HWND hWnd );

// ZIPCʐMpMessageID擾
extern UINT VIP_GetWindowMessageID( void );

// bZ[W͂
extern BOOL VIP_PnlMessageProc( WPARAM wParam, LPARAM lParam );

// Zbgʒmł邱ƂmF
extern BOOL VIP_IsReset( void );

// ^CAEgʒmł邱ƂmF
extern BOOL VIP_IsTimeout( void );

// f[^XVł邱ƂmF
extern BOOL VIP_IsUpdateData( void );

// f[^̑擾
extern enum ZIPCVIP_DATAMODE VIP_GetUpdateMode( void );

// f[^̍ڔԍ擾
extern int VIP_GetUpdateIndex( void );

// f[^̎f[^擾
extern void* VIP_GetUpdateData( void );

// |[gɃf[^ݒ肷
extern BOOL VIP_SetPortData( long nNo, LPVOID pData, long nParam );

// TimerID擾
extern int VIP_GetTimerId( void );

// AiOɃf[^ݒ肷
extern BOOL VIP_SetAngData( long nNo, double dData );

// Ƀf[^ݒ肷
extern BOOL VIP_SetStrData( long nNo, LPCSTR pData, long nParam );

// ̃Cxg𔭍s
extern BOOL VIP_SendNameEvent( AnsiString strTask, AnsiString strEvent );

// V~[V^C}[ݒ肷
extern BOOL VIP_SetVipTimer( long nTimerID, unsigned long ulHiTime, unsigned long ulLoTime );

// V~[V^C}[
extern BOOL VIP_KillVipTimer( long nTimerID );




